Bug 2238282 - Can't refocus blivet-gui, anaconda crashes on trying to launch it again (anaconda part)
Summary: Can't refocus blivet-gui, anaconda crashes on trying to launch it again (anac...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
Depends On: 2238493
Blocks: AnacondaWebUITracker F40BetaFreezeException F40FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2023-09-11 08:21 UTC by Kamil Páral
Modified: 2023-09-20 14:19 UTC (History)
8 users (show)

Fixed In Version: anaconda-40.5-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2238493 (view as bug list)
Environment:
Last Closed: 2023-09-19 14:16:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
webui.log (371.42 KB, text/plain)
2023-09-11 08:21 UTC, Kamil Páral
no flags Details
screencast demonstration of the bug (851.25 KB, video/webm)
2023-09-11 08:22 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2023-09-11 08:21:29 UTC
Installer WebUI Critical Error:
Modifying the storage failed. undefined: 

Problem #1: In the Install mode, when I misclick and click outside of blivet-gui window, the installer window gets focus. But as a regular user I don't know how to go back to blivet-gui. There's no task switcher, there's no Activities button in GNOME. (I could use Alt+Tab, but many users might not know/realize that).

Problem #2: If I do the logical thing and click on Modify Storage again, to launch blivet-gui again (or ideally re-focus it), I get an error that it can't be run more than once. Immediately after that, Anaconda crashes.

Reproducible: Always

Steps to Reproduce:
1. launch blivet-gui
2. "by accident" click outside of its window
3. try to go back to blivet-gui, without the knowledge of Alt+Tab - you can't
4. try to launch blivet-gui again
5. error -> crash


Expected Results:  
I can switch back to blivet-gui. Perhaps it should be launched fullscreen, or always on top. Or Anaconda should just switch back to it when I click Modify Storage again. Or we should do the installation in a full-featured GNOME environment.

Comment 1 Kamil Páral 2023-09-11 08:21:56 UTC
Created attachment 1988091 [details]
webui.log

Comment 2 Kamil Páral 2023-09-11 08:22:39 UTC
Created attachment 1988092 [details]
screencast demonstration of the bug

Comment 3 Kamil Páral 2023-09-11 08:25:18 UTC
Proposing for a blocker discussion. I think problem #1 is the main issue here, not #2. If the user misclicks, she can no longer configure her disk layout, thus possibly violating all installer disk management criteria.

Comment 4 Jiri Konecny 2023-09-11 13:13:57 UTC
Thanks for reporting this Kamil.

I asked Ray about his opinion here and his reply was:
```
blivet likely needs some changes to make it a single instance application, so running it a second time causes the first instance to be raised. it might also want an always on top mode.
```

Vojto, do you think that is doable. May we switch this bug to blivet-gui?

Comment 5 Adam Williamson 2023-09-11 15:30:10 UTC
+4 FE in https://pagure.io/fedora-qa/blocker-review/issue/1297 , marking accepted.

Comment 6 Geoffrey Marr 2023-09-11 18:19:52 UTC
Discussed during the 2023-09-11 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker (Final)" was made as it violates all of the disk management criteria, in the case you manage to trigger this by clicking outside of the blivet-gui window.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2023-09-11/f39-blocker-review.2023-09-11-16.00.txt

Comment 7 Vojtech Trefny 2023-09-12 08:18:12 UTC
upstream PRs for blivet-gui: https://github.com/storaged-project/blivet-gui/pull/411 and anaconda: https://github.com/rhinstaller/anaconda/pull/5163

Comment 8 Vojtech Trefny 2023-09-12 08:22:40 UTC
(In reply to Jiri Konecny from comment #4)
> Vojto, do you think that is doable. May we switch this bug to blivet-gui?

We'll need to fix this both in Anaconda and blivet-gui, I've cloned this for blivet-gui https://bugzilla.redhat.com/show_bug.cgi?id=2238493 so let's keep this as a tracker for the anaconda part of the fix.

Comment 9 Fedora Update System 2023-09-12 14:38:49 UTC
FEDORA-2023-d97eb6a6eb has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d97eb6a6eb

Comment 10 Fedora Update System 2023-09-12 21:38:57 UTC
FEDORA-2023-d97eb6a6eb has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d97eb6a6eb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d97eb6a6eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Adam Williamson 2023-09-12 22:20:48 UTC
As webUI has been deferred to F40, deferring the FE and blocker status of this bug.

Comment 12 Kamil Páral 2023-09-20 14:19:46 UTC
Tested with Fedora-Workstation-Live-x86_64-Rawhide-20230920.n.0.iso. Blivet-gui is now always on top, so you can't lose it. Thanks.


Note You need to log in before you can comment on or make changes to this bug.